configure: support --without-ruby